Bug 1077432 - pmlogcheck SEGV
Summary: pmlogcheck SEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-18 01:19 UTC by Frank Ch. Eigler
Modified: 2014-07-05 09:34 UTC (History)
5 users (show)

Fixed In Version: pcp-3.9.5-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-01 23:27:26 UTC


Attachments (Terms of Use)
inputs (770.08 KB, application/octet-stream)
2014-03-18 01:19 UTC, Frank Ch. Eigler
no flags Details

Description Frank Ch. Eigler 2014-03-18 01:19:33 UTC
Created attachment 875773 [details]
inputs

pcp-3.9.0-1.fc19.x86_64 pmlogcheck on attached tarball .meta
causes a SEGV crash:

% gdb -args pmlogcheck -l archive-20140314.000017.meta
[...]
[16:06:48.417]: network.interface.in.packets[lo]: unsigned 64-bit wrap
	value 2075027 at 15:02:28.130
	value 3078 at 16:06:48.417
[16:06:48.417]: network.interface.in.bytes[lo]: unsigned 64-bit wrap
	value 418326843 at 15:02:28.130
	value 270848 at 16:06:48.417

Program received signal SIGSEGV, Segmentation fault.
docheck (result=<optimized out>) at pmlogcheck.c:369
369			tsub(&timediff, &(checkdata->instlist[k]->lasttime));
(gdb) p timediff
$1 = {tv_sec = 1394741208, tv_usec = 417730}
(gdb) p checkdata->instlist[k]
value has been optimized out
(gdb) p checkdata->instlist[0]
Cannot access memory at address 0x0
(gdb) p vsp->numval
$2 = 1
(gdb) p checkdata->listsize
$3 = 0

Comment 1 Nathan Scott 2014-05-19 04:40:51 UTC
I know what's happening here now, fix will follow shortly.

Comment 2 Nathan Scott 2014-05-19 05:31:33 UTC
This is fixed by upstream commit 3d193685cffdf27b6ba964c03b35e274cceb1392.

Comment 3 Fedora Update System 2014-06-18 20:16:43 UTC
pcp-3.9.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.9.5-1.el5

Comment 4 Fedora Update System 2014-06-18 20:19:10 UTC
pcp-3.9.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.9.5-1.el6

Comment 5 Fedora Update System 2014-06-18 20:21:04 UTC
pcp-3.9.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.9.5-1.fc19

Comment 6 Fedora Update System 2014-06-18 20:22:45 UTC
pcp-3.9.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.9.5-1.fc20

Comment 7 Fedora Update System 2014-06-19 16:37:34 UTC
Package pcp-3.9.5-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-3.9.5-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1677/pcp-3.9.5-1.el5
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-07-01 23:27:26 UTC
pcp-3.9.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-07-01 23:30:25 UTC
pcp-3.9.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-07-05 09:33:10 UTC
pcp-3.9.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-07-05 09:34:16 UTC
pcp-3.9.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.